Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in OpenJPEG
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in OpenJPEG
ID: 202101-29
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Di, 26. Januar 2021, 07:04
Referenzen: https://nvd.nist.gov/vuln/detail/CVE-2020-27841
https://nvd.nist.gov/vuln/detail/CVE-2020-27843
https://nvd.nist.gov/vuln/detail/CVE-2020-15389
https://nvd.nist.gov/vuln/detail/CVE-2020-27842
https://nvd.nist.gov/vuln/detail/CVE-2019-12973
https://nvd.nist.gov/vuln/detail/CVE-2020-27845
https://nvd.nist.gov/vuln/detail/CVE-2018-21010
https://nvd.nist.gov/vuln/detail/CVE-2020-27844
https://nvd.nist.gov/vuln/detail/CVE-2020-27814
Applikationen: OpenJPEG

Originalnachricht


--Apple-Mail=_BB478E9B-BC84-4221-8958-C0BA7958B784
Content-Type: multipart/alternative;
boundary="Apple-Mail=_8DD60A7E-D606-4585-8F2A-FD873C0560C3"


--Apple-Mail=_8DD60A7E-D606-4585-8F2A-FD873C0560C3
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
charset=us-ascii

To: gentoo-announce@lists.gentoo.org
Subject: [ GLSA 202101-29 ] OpenJPEG: Multiple vulnerabilities

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 202101-29
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: OpenJPEG: Multiple vulnerabilities
Date: January 26, 2021
Bugs: #711260, #718918
ID: 202101-29

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been found in OpenJPEG, the worst of
which could result in the arbitrary execution of code.

Background
==========

OpenJPEG is an open-source JPEG 2000 library.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 media-libs/openjpeg < *:1 >= 2.4.0:2
< 2.4.0:2

Description
===========

Multiple vulnerabilities have been discovered in OpenJPEG. Please
review the CVE identifiers referenced below for details.

Impact
======

Please review the referenced CVE identifiers for details.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All OpenJPEG 2 users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=media-libs/openjpeg-2.4.0:2"

OpenJPEG 1 has been discontinued and any dependent packages should now
be using OpenJPEG 2 or have dropped support for the library.

# emerge --sync
# emerge --ask --oneshot -v --depclean ">=media-libs/openjpeg:1"

References
==========

[ 1 ] CVE-2018-21010
https://nvd.nist.gov/vuln/detail/CVE-2018-21010
[ 2 ] CVE-2019-12973
https://nvd.nist.gov/vuln/detail/CVE-2019-12973
[ 3 ] CVE-2020-15389
https://nvd.nist.gov/vuln/detail/CVE-2020-15389
[ 4 ] CVE-2020-27814
https://nvd.nist.gov/vuln/detail/CVE-2020-27814
[ 5 ] CVE-2020-27841
https://nvd.nist.gov/vuln/detail/CVE-2020-27841
[ 6 ] CVE-2020-27842
https://nvd.nist.gov/vuln/detail/CVE-2020-27842
[ 7 ] CVE-2020-27843
https://nvd.nist.gov/vuln/detail/CVE-2020-27843
[ 8 ] CVE-2020-27844
https://nvd.nist.gov/vuln/detail/CVE-2020-27844
[ 9 ] CVE-2020-27845
https://nvd.nist.gov/vuln/detail/CVE-2020-27845

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/202101-29

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2021 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5


--Apple-Mail=_8DD60A7E-D606-4585-8F2A-FD873C0560C3
Content-Transfer-Encoding: 7bit
Content-Type: text/html;
charset=us-ascii

<html><body style="word-wrap: break-word; -webkit-nbsp-mode:
space; -webkit-line-break: after-white-space;" class=""><pre style="word-wrap: break-word; white-space: pre-wrap;" class="">To: <a href="mailto:gentoo-announce@lists.gentoo.org" class="">gentoo-announce@lists.gentoo.org</a>
Subject: [ GLSA 202101-29 ] OpenJPEG: Multiple vulnerabilities

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 202101-29
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
<a href="https://security.gentoo.org/" class="">https://security.gentoo.org/</a>
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: OpenJPEG: Multiple vulnerabilities
Date: January 26, 2021
Bugs: #711260, #718918
ID: 202101-29

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been found in OpenJPEG, the worst of
which could result in the arbitrary execution of code.

Background
==========

OpenJPEG is an open-source JPEG 2000 library.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 media-libs/openjpeg &lt; *:1 &gt;=
2.4.0:2
&lt; 2.4.0:2

Description
===========

Multiple vulnerabilities have been discovered in OpenJPEG. Please
review the CVE identifiers referenced below for details.

Impact
======

Please review the referenced CVE identifiers for details.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All OpenJPEG 2 users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose
"&gt;=media-libs/openjpeg-2.4.0:2"

OpenJPEG 1 has been discontinued and any dependent packages should now
be using OpenJPEG 2 or have dropped support for the library.

# emerge --sync
# emerge --ask --oneshot -v --depclean
"&gt;=media-libs/openjpeg:1"

References
==========

[ 1 ] CVE-2018-21010
<a href="https://nvd.nist.gov/vuln/detail/CVE-2018-21010" class="">https://nvd.nist.gov/vuln/detail/CVE-2018-21010</a>
[ 2 ] CVE-2019-12973
<a href="https://nvd.nist.gov/vuln/detail/CVE-2019-12973" class="">https://nvd.nist.gov/vuln/detail/CVE-2019-12973</a>
[ 3 ] CVE-2020-15389
<a href="https://nvd.nist.gov/vuln/detail/CVE-2020-15389" class="">https://nvd.nist.gov/vuln/detail/CVE-2020-15389</a>
[ 4 ] CVE-2020-27814
<a href="https://nvd.nist.gov/vuln/detail/CVE-2020-27814" class="">https://nvd.nist.gov/vuln/detail/CVE-2020-27814</a>
[ 5 ] CVE-2020-27841
<a href="https://nvd.nist.gov/vuln/detail/CVE-2020-27841" class="">https://nvd.nist.gov/vuln/detail/CVE-2020-27841</a>
[ 6 ] CVE-2020-27842
<a href="https://nvd.nist.gov/vuln/detail/CVE-2020-27842" class="">https://nvd.nist.gov/vuln/detail/CVE-2020-27842</a>
[ 7 ] CVE-2020-27843
<a href="https://nvd.nist.gov/vuln/detail/CVE-2020-27843" class="">https://nvd.nist.gov/vuln/detail/CVE-2020-27843</a>
[ 8 ] CVE-2020-27844
<a href="https://nvd.nist.gov/vuln/detail/CVE-2020-27844" class="">https://nvd.nist.gov/vuln/detail/CVE-2020-27844</a>
[ 9 ] CVE-2020-27845
<a href="https://nvd.nist.gov/vuln/detail/CVE-2020-27845" class="">https://nvd.nist.gov/vuln/detail/CVE-2020-27845</a>

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

<a href="https://security.gentoo.org/glsa/202101-29" class="">https://security.gentoo.org/glsa/202101-29</a>

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
<a href="mailto:security@gentoo.org"
class="">security@gentoo.org</a> or alternatively, you may file a bug at
<a href="https://bugs.gentoo.org" class="">https://bugs.gentoo.org</a>.

License
=======

Copyright 2021 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

<a href="https://creativecommons.org/licenses/by-sa/2.5" class="">https://creativecommons.org/licenses/by-sa/2.5</a></pre><div class=""><br class=""></div></body></html>
--Apple-Mail=_8DD60A7E-D606-4585-8F2A-FD873C0560C3--

--Apple-Mail=_BB478E9B-BC84-4221-8958-C0BA7958B784
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
filename=signature.asc
Content-Type: application/pgp-signature;
name=signature.asc
Content-Description: Message signed with OpenPGP

-----BEGIN PGP SIGNATURE-----

iNUEARYKAH0WIQSONjK3ErBA5VvN3hCxfj6E5hA8mwUCYA9fNF8UgAAAAAAuAChp
c3N1ZXItZnByQG5vdGF0aW9ucy5vcGVucGdwLmZpZnRoaG9yc2VtYW4ubmV0OEUz
NjMyQjcxMkIwNDBFNTVCQ0RERTEwQjE3RTNFODRFNjEwM0M5QgAKCRCxfj6E5hA8
m7zDAP0W/MobO0yrL0PM0I7+hQCSYnd2dXRgiBinoPYa7TKMGgEAm1npc2reokIs
tts3kTZNvzU4X9hg/P83TWf7HlGgAws=
=H8VM
-----END PGP SIGNATURE-----

--Apple-Mail=_BB478E9B-BC84-4221-8958-C0BA7958B784--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung